# ApplicationFramework
TKPLCAF
MDF

# MDF_RRelocationTable Class Reference

`#include <MDF_RRelocationTable.hxx>`

## Public Member Functions

Standard_EXPORT | MDF_RRelocationTable (const Standard_Boolean theSelfRelocation=Standard_False)
Standard_EXPORT void | SetSelfRelocation (const Standard_Boolean theStatus=Standard_True)
Standard_EXPORT Standard_Boolean | IsSelfRelocation () const
Standard_EXPORT void | SetRelocation (const Handle(PDF_Attribute)&aSourceAttribute, const Handle(TDF_Attribute)&aTargetAttribute)
Standard_EXPORT Standard_Boolean | HasRelocation (const Handle(PDF_Attribute)&aSourceAttribute, Handle(TDF_Attribute)&aTargetAttribute)
Standard_EXPORT void | SetOtherRelocation (const Handle(Standard_Persistent)&aSource, const Handle(Standard_Transient)&aTarget)
Standard_EXPORT Standard_Boolean | HasOtherRelocation (const Handle(Standard_Persistent)&aSource, Handle(Standard_Transient)&aTarget)
Standard_EXPORT PTColStd_PersistentTransientMap & | AttributeTable ()
Standard_EXPORT PTColStd_PersistentTransientMap & | OtherTable ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

PTColStd_PersistentTransientMap | myAttributeTable
PTColStd_PersistentTransientMap | myOtherTable
Standard_Boolean | mySelfRelocation

## Constructor & Destructor Documentation

Standard_EXPORT MDF_RRelocationTable::MDF_RRelocationTable | ( | const Standard_Boolean | theSelfRelocation = `Standard_False` | ) |

## Member Function Documentation

Standard_EXPORT PTColStd_PersistentTransientMap& MDF_RRelocationTable::AttributeTable | ( |  | ) |

Standard_EXPORT const MDF_RRelocationTable::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean MDF_RRelocationTable::HasOtherRelocation | ( | const Handle(Standard_Persistent)& | aSource,
|  | Handle(Standard_Transient)& | aTarget
| ) |

Standard_EXPORT Standard_Boolean MDF_RRelocationTable::HasRelocation | ( | const Handle(PDF_Attribute)& | aSourceAttribute,
|  | Handle(TDF_Attribute)& | aTargetAttribute
| ) |

Standard_EXPORT Standard_Boolean MDF_RRelocationTable::IsSelfRelocation | ( |  | ) | const

Standard_EXPORT PTColStd_PersistentTransientMap& MDF_RRelocationTable::OtherTable | ( |  | ) |

Standard_EXPORT void MDF_RRelocationTable::SetOtherRelocation | ( | const Handle(Standard_Persistent)& | aSource,
|  | const Handle(Standard_Transient)& | aTarget
| ) |

Standard_EXPORT void MDF_RRelocationTable::SetRelocation | ( | const Handle(PDF_Attribute)& | aSourceAttribute,
|  | const Handle(TDF_Attribute)& | aTargetAttribute
| ) |

Standard_EXPORT void MDF_RRelocationTable::SetSelfRelocation | ( | const Standard_Boolean | theStatus = `Standard_True` | ) |

## Field Documentation

PTColStd_PersistentTransientMap MDF_RRelocationTable::myAttributeTable `[private]`

PTColStd_PersistentTransientMap MDF_RRelocationTable::myOtherTable `[private]`

Standard_Boolean MDF_RRelocationTable::mySelfRelocation `[private]`

The documentation for this class was generated from the following file:

- MDF_RRelocationTable.hxx